TableAnyMap::iterator Class Reference

`#include <flmap.h>`

Inheritance diagram for TableAnyMap::iterator:

## Public Member Functions

| iterator ()
| iterator (const TableAnyMap &m)
| iterator (const iterator &it)
iterator & | operator= (const iterator &it)
| operator bool () const
void * | data () const
size_t | key () const
iterator & | operator++ ()

## Protected Member Functions

void | leftmost ()
void | forward ()

## Protected Attributes

const TableAnyMap * | map
int | ix

## Constructor & Destructor Documentation

## iterator() [1/3]

TableAnyMap::iterator::iterator | ( |  | ) |

inline

## iterator() [2/3]

TableAnyMap::iterator::iterator | ( | const TableAnyMap & | m | ) |

inline

## iterator() [3/3]

TableAnyMap::iterator::iterator | ( | const iterator & | it | ) |

inline

## Member Function Documentation

## data()

void* TableAnyMap::iterator::data | ( |  | ) | const

inline

## forward()

void TableAnyMap::iterator::forward | ( |  | ) |

protected

## key()

size_t TableAnyMap::iterator::key | ( |  | ) | const

inline

## leftmost()

void TableAnyMap::iterator::leftmost | ( |  | ) |

inline protected

## operator bool()

TableAnyMap::iterator::operator bool | ( |  | ) | const

inline

## operator++()

iterator& TableAnyMap::iterator::operator++ | ( |  | ) |

inline

## operator=()

iterator& TableAnyMap::iterator::operator= | ( | const iterator & | it | ) |

inline

## Member Data Documentation

## ix

int TableAnyMap::iterator::ix

protected

## map

const TableAnyMap* TableAnyMap::iterator::map

protected

The documentation for this class was generated from the following files:

- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flmap.h
- /build/pd-flext-j6Usjn/pd-flext-0.6.0+git20161101.1.01318a94/source/flmap.cpp